:root {
    --color-accent: #4f3a4b;
    --color-accent-contrast: #fff;

    --color-base: #fff;
    --color-contrast: rgba(0, 0, 0, 85);
    --color-contrast-hightlight: rgba(0, 0, 0, .85);
    --color-contrast-dim: rgba(0, 0, 0, .6);
    --color-border: rgba(0, 0, 0, .12);
    --color-border-dim: rgba(0, 0, 0, .03);

    --font-family-base: 'Satoshi', sans-serif;
    --font-size-base: 1.0625rem;
    --font-weight-base: 470;

    --font-family-headings: 'Satoshi', sans-serif;
    --font-weight-headings: 900;
    --letter-spacing-headings: 0;

    --font-size-h1: clamp(1.875rem, 0.9524vw + 1.5179rem, 2.375rem); /* clamp(2.75rem, 1.9859vw + 1.9754rem, 3.5rem); */
    --font-size-h2: clamp(1.75rem, 0.4762vw + 1.5714rem, 2rem); /* clamp(1.75rem, 1.0563vw + 1.3380rem, 2.5rem); */
    --font-size-h3: clamp(1.375rem, 0.7143vw + 1.1071rem, 1.75rem); /* clamp(1.75rem, 0.3521vw + 1.6127rem, 2rem); */

    --space-site: clamp(1.5rem, 5.2219vw + 0.2272rem, 4rem);
    --space-site-align-full: clamp(0.5rem, 0.5222vw + 0.3727rem, 0.75rem);
    --space-column: clamp(1rem, 1.7978vw + 0.5618rem, 1.5rem); /* clamp(0.5rem, 1.0444vw + 0.2454rem, 1.5rem); */
    --space-row: clamp(1.25rem, 1.9048vw + 0.7857rem, 2.5rem); /* clamp(2rem, 4.1775vw + 0.9817rem, 4rem); */
    --space-section: clamp(2.5rem, 6.8571vw + 0.8286rem, 7rem); /* clamp(3rem, 6.2663vw + 1.4726rem, 6rem); */

    --size-container: 1180px;
    --size-content: 732px;
    --size-content-wide: 880px;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

html {
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
    text-size-adjust: 100%;
    /* scroll-behavior: smooth; */
}

body {
    margin: 0;
    background-color: var(--color-base);
    color: var(--color-contrast);
    font-family: var(--font-family-base);
    font-size: var(--font-size-base);
    font-weight: var(--font-weight-base);
    line-height: 1.55;
    word-wrap: break-word;
}

hr {
    border: 0;
    background: var(--color-border);
    height: 1px;
    margin: 0 !important;
}

video,
img {
    max-width: 100%;
    height: auto;
}

figcaption {
    font-size: 0.875rem;
    color: var(--color-contrast-dim);
    text-align: center;
}

h1, h2, h3, h4, h5, h6 {
    color: var(--color-contrast-hightlight);
	font-family: var(--font-family-headings);
	font-weight: var(--font-weight-headings);
	letter-spacing: var(--letter-spacing-headings);
    line-height: 1.3;
    text-wrap: balance;
	margin: 0;
}

h1 {
    font-size: clamp(2.375rem, 3.3943vw + 1.5477rem, 3.75rem);
    line-height: 1.3;
}

a {
    text-decoration: none;
}

a:hover {
    color: var(--color-accent);
}

address, aside, audio, blockquote, details, dl, fieldset, figure, form, hr, ol, p, pre, table, ul, video {
    margin: 0;
}

* + aside,
* + blockquote,
* + form,
* + hr,
* + ol,
* + p,
* + pre,
* + ul {
    margin-block-start: .5rem;
}

[id] {
    scroll-margin-block-start: 1rem;
}

.button {
    appearance: button;
    background: var(--color-accent);
    border: 2px solid var(--color-accent);
    color: var(--color-accent-contrast);
    border-radius: 2rem;
    display: inline-flex;
    padding-block: 0.75rem;
    padding-inline: 1.25rem;
    font-size: 0.875rem;
    font-weight: 500;
    line-height: 1;
    transition: all .2s ease;
}

.button:hover {
    background: transparent;
    color: var(--color-accent);
}

.button-ghost {
    background: transparent;
    border-width: 1px;
    color: var(--color-contrast-hightlight);
    border-color: var(--color-border-dim);
}

.button-ghost:hover {
    background-color: var(--color-accent);
    border-color: var(--color-accent);
    color: var(--color-accent-contrast);
}

.link {
    color: var(--color-accent);
    font-weight: 500;
    font-size: .975rem;
    border-bottom: 1px solid var(--color-border);
}

.site {
    overflow-x: clip;
}

.section {
    padding-block: var(--space-section);
}

.header {
    position: relative;
    padding-block: var(--space-section);
}

.header__content {
    max-width: var(--size-content-wide);
    width: calc(100% - 2 * var(--space-site));
    margin-inline: auto;
}

.header__content > * + * {
    margin-block-start: 1.75rem;
}

.header__bg {
    position: absolute;
    inset: 0;
    z-index: -1;
}

.header__bg::after {
    content: "";
    position: absolute;
    inset: 0;
    inset-block-end: -50%;
    backdrop-filter: blur(120px);
}

.header__bg img {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: .1;
}

.header__logo {
    display: inline-flex;
    align-items: center;
    gap: 1rem;
    font-size: 0.875rem;
    text-decoration: none;
    color: var(--color-contrast-dim);
    font-weight: 500;
}

.header__actions {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    flex-wrap: wrap;
}

.header__buttons {
    grid-column: 1/-1;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;
}
.header__buttons span {
    font-size: 0.875rem;
}


.header__logo {
    display: inline-flex;
    align-items: center;
    gap: 1rem;
    font-size: 0.875rem;
    text-decoration: none;
    color: var(--color-contrast-dim);
    font-weight: 500;
}

.header__actions {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    flex-wrap: wrap;
}

.header__buttons {
    grid-column: 1/-1;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;
}

.header__buttons span {
    font-size: 0.875rem;
}

.ambient-slider {
    aspect-ratio: 2658 / 1280;
    overflow: hidden;
    position: relative;
    border-radius: 1rem;
    width: 100%;
}

.ambient-slider__image {
    height: 100%;
    inset: 0;
    margin: 0;
    object-fit: cover;
    opacity: 0;
    position: absolute;
    transition: opacity 0.4s ease;
    will-change: opacity;
    width: 100%;
}

.ambient-slider__image[data-active=true] {
    opacity: 1;
}

.cards {
    display: grid;
    gap: var(--space-column);
    grid-template-columns: repeat(1, minmax(0, 1fr));
    max-width: var(--size-container);
    width: calc(100% - 0.5rem);
    margin-inline: auto;
}

.card {
    display: grid;
    align-items: stretch;
    gap: var(--space-column);
    position: relative;
    background: #fff;
    border-radius: 1.5rem;
    padding: .5rem;
    box-shadow: 0 0 70px 0px rgba(0, 0, 0, 0.1);
}

.card[data-style="full"] {
    grid-column: 1 / -1;
}

.card[data-style="full"] h2 {
    font-size: var(--font-size-h2);
}

.card__content {
    padding: var(--space-column);
    padding-block-end: 0;
}

.card__content h2 {
    font-size: 22px;
    font-weight: 700;
}

.card__content p {
    color: var(--color-contrast-dim);
}

.card__media {
    width: 100%;
    border: 1px solid var(--color-border-dim);
    border-radius: 1rem;
    align-self: end;
}

@media (min-width: 550px) {
    .cards {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media (min-width: 740px) {
    .cards {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
}

@media (min-width: 1100px) {
    .cards {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }

    .card[data-style="full"] {
        align-items: center;
        grid-template-columns: calc(33.3334% - 20px) 1fr;
    }

    .card[data-style="full"] .card__content {
        padding-block-end: var(--space-column);
    }
}

.demos {
    display: grid;
    gap: var(--space-column);
    grid-template-columns: repeat(1, minmax(0, 1fr));
    max-width: var(--size-container);
    width: calc(100% - var(--space-site) + 1rem);
    margin-inline: auto;
    padding-block: var(--space-section);

}

.demos h2 {
    grid-column: 1 / -1;
    font-size: 42px;
}

.demo {
    display: flex;
    flex-direction: column;
    background: #f4f6f8;
    border: 1px solid #fff;
    box-shadow: 0 0 70px 0px rgba(0, 0, 0, 0.1);
    border-radius: 1.5rem;
    padding: var(--space-column);
    transition: border .2s ease;
}

.demo h2 {
    font-size: 22px;
    font-weight: 700;
    color: var(--color-contrast-hightlight);
    text-align: center;
    padding: 20px
}

.demo img,
.demo video {
    border-radius: 1rem;
    margin-top: .5rem;
    object-fit: cover;
    object-position: top;
}

.demo img {
    aspect-ratio: 329 / 388;
}

.demo__link {
    align-self: center;
    display: inline-block;
    padding: .625rem 1rem;
    background-color: transparent;
    border: 1px solid var(--color-border);
    color: var(--color-contrast-hightlight);
    margin-block-start: 1rem;
}

.demo:hover {
    border-color: #ddd;
}

.demo:hover .demo__link {
    border-color: var(--color-accent);
}


@media (min-width: 640px) {
    .demos {
        grid-template-columns: repeat(6, minmax(0, 1fr));
    }

    .demo {
        grid-column: span 3;
    }

    .demo:nth-of-type(1) {
        grid-column: span 6;
    }
}

@media (min-width: 900px) {
    .demo {
        grid-column: span 2;
    }

    .demo:nth-of-type(1) {
        grid-column: span 4;
    }
}
